automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: new test


From: Tom Tromey
Subject: Patch: new test
Date: 21 Jul 2001 13:47:02 -0600

I'm checking this in.
This only arguably reveals a bug.  However, I'm inclined to think we
should handle this case.  There's no obvious reason that we ought to
have a Makefile.am in the aux dir.

I'm not entirely certain how I'm going to fix this.
Probably I'll change the code in handle_dist to check for the
@common_files in the aux dir as well, in the case where the aux dir
doesn't have a Makefile.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        * tests/Makefile.am (TESTS): Added depdist.test.
        (XFAIL_TESTS): Likewise.
        * tests/depdist.test: New file.  From Eric Magnien.

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.326
diff -u -r1.326 Makefile.am
--- tests/Makefile.am 2001/07/21 05:27:26 1.326
+++ tests/Makefile.am 2001/07/21 19:21:13
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test depdist.test
 
 TESTS =        \
 acinclude.test \
@@ -99,6 +99,7 @@
 depacl2.test \
 depcomp.test \
 depcomp2.test \
+depdist.test \
 depend.test \
 depend2.test \
 depend3.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.426
diff -u -r1.426 Makefile.in
--- tests/Makefile.in 2001/07/21 05:27:26 1.426
+++ tests/Makefile.in 2001/07/21 19:21:13
@@ -66,7 +66,7 @@
 _am_quote = @_am_quote@
 install_sh = @install_sh@
 
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test depdist.test
 
 TESTS = \
 acinclude.test \
@@ -165,6 +165,7 @@
 depacl2.test \
 depcomp.test \
 depcomp2.test \
+depdist.test \
 depend.test \
 depend2.test \
 depend3.test \
Index: tests/depdist.test
===================================================================
RCS file: depdist.test
diff -N depdist.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/depdist.test Sat Jul 21 12:21:13 2001
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+# Make sure depcomp is found for the distribution.
+# From Eric Magnien.
+
+. $srcdir/defs || exit 1
+
+rm -f configure.in
+
+mkdir config
+for i in *; do
+   if test $i != "config"; then
+      mv $i config
+   fi
+done
+
+cat > configure.in << 'END'
+AC_INIT(subdir/foo.c)
+AC_CONFIG_AUX_DIR(config)
+AM_INIT_AUTOMAKE(nonesuch, nonesuch)
+AC_PROG_CC
+AC_OUTPUT(subdir/Makefile Makefile)
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS = subdir
+END
+
+mkdir subdir
+: > subdir/foo.c
+
+cat > subdir/Makefile.am << 'END'
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c
+END
+
+set -e
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+grep depcomp Makefile.in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]